searchNodes=[{"doc":"Helper functions to make a 신경 connection go!","ref":"Singyeong.html","title":"Singyeong","type":"module"},{"doc":"Parses a 신경 DSN into a format usable by the client. Returns a tuple of {app_id, password | nil, host, port, scheme}. Encoding is ignored, as this client will always use ETF for communication.Examplesiex&gt; Singyeong.parse_dsn(&quot;singyeong://test@localhost&quot;) {&quot;test&quot;, nil, &quot;localhost&quot;, 80, &quot;ws&quot;} iex&gt; Singyeong.parse_dsn(&quot;ssingyeong://test:pass-word@localhost&quot;) {&quot;test&quot;, &quot;pass-word&quot;, &quot;localhost&quot;, 80, &quot;wss&quot;} iex&gt; Singyeong.parse_dsn(&quot;singyeong://test@localhost:4567&quot;) {&quot;test&quot;, nil, &quot;localhost&quot;, 4567, &quot;ws&quot;} iex&gt; Singyeong.parse_dsn(&quot;ssingyeong://test:pass~-word@localhost:4921/&quot;) {&quot;test&quot;, &quot;pass~-word&quot;, &quot;localhost&quot;, 4921, &quot;wss&quot;} iex&gt; Singyeong.parse_dsn(&quot;singyeong://test:pass@localhost:21312?encoding=json&quot;) {&quot;test&quot;, &quot;pass&quot;, &quot;localhost&quot;, 21312, &quot;ws&quot;} iex&gt; Singyeong.parse_dsn(&quot;ssingyeong://test:pass@host:12321/?encoding=etf&quot;) {&quot;test&quot;, &quot;pass&quot;, &quot;host&quot;, 12321, &quot;wss&quot;} iex&gt; Singyeong.parse_dsn(&quot;ssssssssingyeong://invalid:invalid@invalid:4567/?encoding=msgpack&quot;) ** (ArgumentError) dsn: invalid protocol: ssssssssingyeong","ref":"Singyeong.html#parse_dsn/1","title":"Singyeong.parse_dsn/1","type":"function"},{"doc":"","ref":"Singyeong.Client.html","title":"Singyeong.Client","type":"module"},{"doc":"Send a message with the given payload to all clients matching the given routing query.","ref":"Singyeong.Client.html#broadcast_msg/2","title":"Singyeong.Client.broadcast_msg/2","type":"function"},{"doc":"Send a message with the given payload to all clients matching the given routing query, sending the given nonce to allow request-response messaging.","ref":"Singyeong.Client.html#broadcast_msg/3","title":"Singyeong.Client.broadcast_msg/3","type":"function"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Singyeong.Client.html#child_spec/1","title":"Singyeong.Client.child_spec/1","type":"function"},{"doc":"Proxies the given HTTP request with the given body to a target matching the given routing query, using the HTTP method provided.","ref":"Singyeong.Client.html#proxy/4","title":"Singyeong.Client.proxy/4","type":"function"},{"doc":"","ref":"Singyeong.Client.html#query_metadata/1","title":"Singyeong.Client.query_metadata/1","type":"function"},{"doc":"ACK a message from the given queue, letting the server know that it doesn't need to be requeued.","ref":"Singyeong.Client.html#queue_ack/2","title":"Singyeong.Client.queue_ack/2","type":"function"},{"doc":"Push the specified message to the specified queue, with a routing query to determine what client can pull it from the queue.","ref":"Singyeong.Client.html#queue_msg/3","title":"Singyeong.Client.queue_msg/3","type":"function"},{"doc":"Push the specified message to the specified queue, with a routing query to determine what client can pull it from the queue, sending the given nonce to allow request-response messaging.","ref":"Singyeong.Client.html#queue_msg/4","title":"Singyeong.Client.queue_msg/4","type":"function"},{"doc":"Mark this client as being ready to process a message from the given queue.","ref":"Singyeong.Client.html#queue_request/1","title":"Singyeong.Client.queue_request/1","type":"function"},{"doc":"","ref":"Singyeong.Client.html#reply/1","title":"Singyeong.Client.reply/1","type":"function"},{"doc":"Send a message with the given payload to a single client matching the given routing query.","ref":"Singyeong.Client.html#send_msg/2","title":"Singyeong.Client.send_msg/2","type":"function"},{"doc":"Send a message with the given payload to a single client matching the given routing query, sending the given nonce to allow request-response messaging.","ref":"Singyeong.Client.html#send_msg/3","title":"Singyeong.Client.send_msg/3","type":"function"},{"doc":"","ref":"Singyeong.Client.html#start_link/1","title":"Singyeong.Client.start_link/1","type":"function"},{"doc":"","ref":"Singyeong.Client.html#terminate/3","title":"Singyeong.Client.terminate/3","type":"function"},{"doc":"Update the client's metadata. A metadata update has a few parts:keytypevaluePossible types are:stringintegerfloatversionlistA metadata update looks like:%{ key: %{ type: &quot;string&quot;, value: &quot;potato&quot;, }, users: %{ type: &quot;list&quot;, value: [123, 456, 789], } version: %{ type: &quot;version&quot;, value: &quot;2.0.0&quot;, } }","ref":"Singyeong.Client.html#update_metadata/1","title":"Singyeong.Client.update_metadata/1","type":"function"},{"doc":"","ref":"Singyeong.Client.html#t:http_method/0","title":"Singyeong.Client.http_method/0","type":"type"},{"doc":"","ref":"Singyeong.Consumer.html","title":"Singyeong.Consumer","type":"behaviour"},{"doc":"","ref":"Singyeong.Consumer.html#c:handle_event/1","title":"Singyeong.Consumer.handle_event/1","type":"callback"},{"doc":"","ref":"Singyeong.Consumer.html#handle_events/3","title":"Singyeong.Consumer.handle_events/3","type":"function"},{"doc":"","ref":"Singyeong.Consumer.html#start_link/1","title":"Singyeong.Consumer.start_link/1","type":"function"},{"doc":"","ref":"Singyeong.Consumer.html#t:event/0","title":"Singyeong.Consumer.event/0","type":"type"},{"doc":"","ref":"Singyeong.Payload.html","title":"Singyeong.Payload","type":"module"},{"doc":"","ref":"Singyeong.Payload.html#t:t/0","title":"Singyeong.Payload.t/0","type":"type"},{"doc":"","ref":"Singyeong.Producer.html","title":"Singyeong.Producer","type":"module"},{"doc":"Callback implementation for GenStage.handle_call/3.","ref":"Singyeong.Producer.html#handle_call/3","title":"Singyeong.Producer.handle_call/3","type":"function"},{"doc":"Callback implementation for GenStage.handle_cast/2.","ref":"Singyeong.Producer.html#handle_cast/2","title":"Singyeong.Producer.handle_cast/2","type":"function"},{"doc":"Callback implementation for GenStage.handle_demand/2.","ref":"Singyeong.Producer.html#handle_demand/2","title":"Singyeong.Producer.handle_demand/2","type":"function"},{"doc":"Callback implementation for GenStage.init/1.","ref":"Singyeong.Producer.html#init/1","title":"Singyeong.Producer.init/1","type":"function"},{"doc":"Sends an event and returns immediately.","ref":"Singyeong.Producer.html#notify/1","title":"Singyeong.Producer.notify/1","type":"function"},{"doc":"","ref":"Singyeong.Producer.html#start_link/1","title":"Singyeong.Producer.start_link/1","type":"function"},{"doc":"Sends an event and returns only after the event is dispatched.","ref":"Singyeong.Producer.html#sync_notify/2","title":"Singyeong.Producer.sync_notify/2","type":"function"},{"doc":"","ref":"Singyeong.ProxiedRequest.html","title":"Singyeong.ProxiedRequest","type":"module"},{"doc":"","ref":"Singyeong.ProxiedRequest.html#t:t/0","title":"Singyeong.ProxiedRequest.t/0","type":"type"},{"doc":"","ref":"Singyeong.Query.html","title":"Singyeong.Query","type":"module"},{"doc":"Creates a new query for the given target application","ref":"Singyeong.Query.html#new/1","title":"Singyeong.Query.new/1","type":"function"},{"doc":"Converts the provided values into a proper boolean op.","ref":"Singyeong.Query.html#values_to_op/3","title":"Singyeong.Query.values_to_op/3","type":"function"},{"doc":"Adds the provided logical op over the provided ops to the query.","ref":"Singyeong.Query.html#with_logical_op/4","title":"Singyeong.Query.with_logical_op/4","type":"function"},{"doc":"Adds the provided boolean op to the query.","ref":"Singyeong.Query.html#with_op/2","title":"Singyeong.Query.with_op/2","type":"function"},{"doc":"Adds the provided boolean op to the query.","ref":"Singyeong.Query.html#with_op/4","title":"Singyeong.Query.with_op/4","type":"function"},{"doc":"Sets the query's selector to the specified key","ref":"Singyeong.Query.html#with_selector/3","title":"Singyeong.Query.with_selector/3","type":"function"},{"doc":"","ref":"Singyeong.Query.html#t:boolean_op/0","title":"Singyeong.Query.boolean_op/0","type":"type"},{"doc":"","ref":"Singyeong.Query.html#t:boolean_op_name/0","title":"Singyeong.Query.boolean_op_name/0","type":"type"},{"doc":"","ref":"Singyeong.Query.html#t:logical_op/0","title":"Singyeong.Query.logical_op/0","type":"type"},{"doc":"","ref":"Singyeong.Query.html#t:logical_op_name/0","title":"Singyeong.Query.logical_op_name/0","type":"type"},{"doc":"","ref":"Singyeong.Query.html#t:op/0","title":"Singyeong.Query.op/0","type":"type"},{"doc":"","ref":"Singyeong.Query.html#t:ops/0","title":"Singyeong.Query.ops/0","type":"type"},{"doc":"","ref":"Singyeong.Query.html#t:selector/0","title":"Singyeong.Query.selector/0","type":"type"},{"doc":"","ref":"Singyeong.Query.html#t:t/0","title":"Singyeong.Query.t/0","type":"type"},{"doc":"","ref":"Singyeong.Utils.html","title":"Singyeong.Utils","type":"module"},{"doc":"","ref":"Singyeong.Utils.html#event_name_to_atom/1","title":"Singyeong.Utils.event_name_to_atom/1","type":"function"},{"doc":"","ref":"Singyeong.Utils.html#stringify_keys/2","title":"Singyeong.Utils.stringify_keys/2","type":"function"},{"doc":"singyeong-clientA pure Elixir client for 신경.","ref":"readme.html","title":"singyeong-client","type":"extras"},{"doc":"Get it on Hex.def deps do [ {:singyeong, &quot;~&gt; 0.1.1&quot;} ] end","ref":"readme.html#installation","title":"singyeong-client - Installation","type":"extras"},{"doc":"Add children to your application's supervisor:# The actual client that connects and sends/receives messages {Singyeong.Client, Singyeong.parse_dsn(&quot;singyeong://my_app_name:my_password@localhost:4567&quot;)}, # Event producer Singyeong.Producer, # Your event consumer MyApp.Consumer, Create a consumer:defmodule MyApp.Consumer do use Singyeong.Consumer def start_link do Consumer.start_link __MODULE__ end def handle_event(event) do IO.inspect event, pretty: true :ok end end That's it! Start running your application whenever you want.","ref":"readme.html#usage","title":"singyeong-client - Usage","type":"extras"}]